Bug Hunting Session
Bug 117342 - Add Karasa Jaga to LibreOffice core
Summary: Add Karasa Jaga to LibreOffice core
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha1+
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: Icon-Themes
  Show dependency treegraph
 
Reported: 2018-04-30 04:30 UTC by Rizal Muttaqin
Modified: 2018-06-07 03:59 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rizal Muttaqin 2018-04-30 04:30:10 UTC
Description:
The Oxygen icon theme, as it is known is not maintained anymore. From the beginning of its appearance, this colorful-realistic style icon theme in LibreOffice is a miles away from complete. 

As a huge fan of Oxygen icon theme, I took the initiative to fork the icon theme to match the latest iteration of LibreOffice named Karasa Jaga icon theme. Currently it supports both small, large and extra large size one and I guarantee it is very complete for very latest daily build (as this is written) of LibreOffice. You can  try it yourself and see the result, I've placed all of my works including the SVG file on Github page:

https://github.com/rizmut/libreoffice-style-karasa-jaga

It would be a pleasure if the icons is going to be included in the core for at the next point release (6.1). Can we?

Actual Results:  
Lots of missing icon stuff

Expected Results:
Complete icon set


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:58.0) Gecko/20100101 Firefox/58.0
Comment 1 andreas_k 2018-04-30 09:35:08 UTC
As karasa-jaga use the same licence as oxygen icons and karasa-jaga is a fork I would be happy if we can merge karasa-jaga with oxygen icons from core.

In addition it would be nice to have the same folder structure as for the other icon themes, so we have a separate _svg folder.

If needed I can review the merge. I think it's always a good sign to show the community that a fork isn't bad by default.
Comment 2 Xavier Van Wijmeersch 2018-04-30 15:03:57 UTC
I agree, it would be nice to have this icons in LibreOffice
a +1 form the suggestion

regards
Comment 3 Heiko Tietze 2018-05-01 07:31:47 UTC
Pro: well maintained, con: there is no particular use case for Oxygen, no desktop environment that makes use of it. So I tend to -1 (just one opinion, we can, for example, run a quick poll on G+ to get the users' opinions), meaning the theme is better published as extension. Another con is the name, which is nice but very special.
Comment 4 Rizal Muttaqin 2018-05-01 12:51:30 UTC
(In reply to Heiko Tietze from comment #3)
> Pro: well maintained, con: there is no particular use case for Oxygen, no
> desktop environment that makes use of it. So I tend to -1 (just one opinion,
> we can, for example, run a quick poll on G+ to get the users' opinions),
> meaning the theme is better published as extension. Another con is the name,
> which is nice but very special.
I admit the name a little tricky to be spelled from some people, but I'm afraid I would like to change it. So, about the quick poll what should be prepared? I don't mean to be hurry, just make sure. :)
Comment 5 V Stuart Foote 2018-05-01 13:26:21 UTC
I'm of the camp that a bit more choice is a good thing. So, if the icon set is complete (and have a dev/designer willing to maintain--seems Rizal is motivated and always good to have additional hands) project is well served to distribute it internally--even though we would likely not make it a default for any OS/DE.

I tend to discount any objections based on size of the installers--we'd dump a bunch of fonts if that were the case.

So +1 for embedding Karasa Jaga to core.
Comment 6 andreas_k 2018-05-01 16:17:42 UTC
Can karasa jaga get merged into oxygen? We have oxygen in core which is unmaintained would be nice to merge karasa than our oxygen users get the benefit without switch to karasa.

I know the foodprints from oxygen are big but you can help to support oxygen the next decade. Rizal
Comment 7 Rizal Muttaqin 2018-05-02 03:34:10 UTC
(In reply to andreas_k from comment #6)
> Can karasa jaga get merged into oxygen? We have oxygen in core which is
> unmaintained would be nice to merge karasa than our oxygen users get the
> benefit without switch to karasa.
> 
> I know the foodprints from oxygen are big but you can help to support oxygen
> the next decade. Rizal

I hope I should not change the name considering many of Oxygen elements doesn't fit to Karasa Jaga's per se. In other hand I don't want to force previous Oxygen user to change by hand to Karasa Jaga. May be we should give some notice to user for example in release notes?
Comment 8 Heiko Tietze 2018-05-06 10:25:35 UTC
Initial patch at https://gerrit.libreoffice.org/#/c/53908/

* Some (circular) links don't work
* License unclear
* SVG missing
* Define a fallback theme if Colibre is not wanted
Comment 9 Commit Notification 2018-05-22 08:39:23 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a06954bf5b100c9433b4e1dbcdcf8ab2df2763a1

tdf#117342 - Add Karasa Jaga to LibreOffice core

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Heiko Tietze 2018-05-22 08:52:14 UTC
KJ is part of LibreOffice core now.
Comment 11 regs 2018-06-06 20:19:50 UTC
6.1 Release notes says they are 16/22/32px. But 16*1,5=24. Typo in release notes or will be blurry upscale on 150% scaling?
Comment 12 Rizal Muttaqin 2018-06-07 03:59:22 UTC
(In reply to regs from comment #11)
> 6.1 Release notes says they are 16/22/32px. But 16*1,5=24. Typo in release
> notes or will be blurry upscale on 150% scaling?

As a forking of Oxygen, Karasa Jaga use 22px just like the Oxygen did. We have discussed it and the suggestion was to scale up it to 24px. In the future I will try to change it to 24px.